=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2009-12-02 05:57:39 +0000
+++ client/drizzle.cc	2009-12-02 06:01:21 +0000
@@ -192,7 +192,6 @@
 static bool preserve_comments= false;
 static uint32_t opt_max_input_line, opt_drizzle_port= 0;
 static int verbose= 0, opt_silent= 0, opt_local_infile= 0;
-static uint32_t my_end_arg;
 static char * opt_drizzle_unix_port= NULL;
 static drizzle_capabilities_t connect_flag= DRIZZLE_CAPABILITIES_NONE;
 static char *current_host, *current_db, *current_user= NULL,
@@ -1223,7 +1222,7 @@
   if (get_options(argc, (char **) argv))
   {
     free_defaults(defaults_argv);
-    my_end(0);
+    my_end();
     exit(1);
   }
 
@@ -1241,7 +1240,7 @@
   {
     /* we've executed a command so exit before we go into readline mode */
     free_defaults(defaults_argv);
-    my_end(0);
+    my_end();
     exit(command_error);
   }
 
@@ -1251,7 +1250,7 @@
     if (status.line_buff == NULL)
     {
       free_defaults(defaults_argv);
-      my_end(0);
+      my_end();
       exit(1);
     }
   }
@@ -1368,7 +1367,7 @@
   free(default_prompt);
   free(current_prompt);
   free_defaults(defaults_argv);
-  my_end(my_end_arg);
+  my_end();
   exit(status.exit_status);
 }
 
@@ -1699,7 +1698,7 @@
       status.line_buff= new(std::nothrow) LineBuffer(opt_max_input_line,NULL);
     if (status.line_buff == NULL)
     {
-      my_end(0);
+      my_end();
       exit(1);
     }
     status.line_buff->addString(argument);

=== modified file 'client/drizzledump.cc'
--- client/drizzledump.cc	2009-12-02 05:57:39 +0000
+++ client/drizzledump.cc	2009-12-02 06:01:21 +0000
@@ -134,7 +134,6 @@
 static char compatible_mode_normal_str[255];
 static uint32_t opt_compatible_mode= 0;
 static uint32_t opt_drizzle_port= 0;
-static uint32_t my_end_arg;
 static int first_error= 0;
 static string extended_row;
 FILE *md_result_file= 0;
@@ -884,7 +883,7 @@
   free(opt_password);
   if (defaults_argv)
     free_defaults(defaults_argv);
-  my_end(my_end_arg);
+  my_end();
 }
 
 

=== modified file 'client/drizzleimport.cc'
--- client/drizzleimport.cc	2009-12-02 05:57:39 +0000
+++ client/drizzleimport.cc	2009-12-02 06:01:21 +0000
@@ -61,7 +61,7 @@
             ignore_unique= false, opt_low_priority= false,
             tty_password= false;
 
-static uint32_t opt_use_threads= 0, opt_local_file= 0, my_end_arg= 0;
+static uint32_t opt_use_threads= 0, opt_local_file= 0;
 static char  *opt_password= NULL, *current_user= NULL,
     *current_host= NULL, *current_db= NULL, *fields_terminated= NULL,
     *lines_terminated= NULL, *enclosed= NULL, *opt_enclosed= NULL,
@@ -660,6 +660,6 @@
   }
   free(opt_password);
   free_defaults(argv_to_free);
-  my_end(my_end_arg);
+  my_end();
   return(exitcode);
 }

=== modified file 'client/drizzleslap.cc'
--- client/drizzleslap.cc	2009-12-02 05:57:39 +0000
+++ client/drizzleslap.cc	2009-12-02 06:01:21 +0000
@@ -161,7 +161,6 @@
 static unsigned int num_int_cols_index= 0;
 static unsigned int num_char_cols_index= 0;
 static unsigned int iterations;
-static uint32_t my_end_arg= 0;
 static uint64_t actual_queries= 0;
 static uint64_t auto_actual_queries;
 static uint64_t auto_generate_sql_unique_write_number;
@@ -326,7 +325,7 @@
   if (get_options(&argc,&argv))
   {
     free_defaults(defaults_argv);
-    my_end(0);
+    my_end();
     exit(1);
   }
 
@@ -345,7 +344,7 @@
   {
     fprintf(stderr,"%s: Too many arguments\n",my_progname);
     free_defaults(defaults_argv);
-    my_end(0);
+    my_end();
     exit(1);
   }
 
@@ -421,7 +420,7 @@
     free(shared_memory_base_name);
 #endif
   free_defaults(defaults_argv);
-  my_end(my_end_arg);
+  my_end();
 
   return 0;
 }

=== modified file 'client/drizzletest.cc'
--- client/drizzletest.cc	2009-12-02 05:57:39 +0000
+++ client/drizzletest.cc	2009-12-02 06:01:21 +0000
@@ -114,7 +114,6 @@
 static char line_buffer[MAX_DELIMITER_LENGTH], *line_buffer_pos= line_buffer;
 
 static uint32_t start_lineno= 0; /* Start line of current command */
-static uint32_t my_end_arg= 0;
 
 /* Number of lines of the result to include in failure report */
 static uint32_t opt_tail_lines= 0;
@@ -923,7 +922,7 @@
 static void cleanup_and_exit(int exit_code)
 {
   free_used_memory();
-  my_end(my_end_arg);
+  my_end();
 
   if (!silent) {
     switch (exit_code) {

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-12-02 05:57:39 +0000
+++ drizzled/drizzled.cc	2009-12-02 06:01:21 +0000
@@ -529,7 +529,7 @@
     usage();
   clean_up(!opt_help && (exit_code));
   clean_up_mutexes();
-  my_end(0);
+  my_end();
   exit(exit_code);
 }
 
@@ -1655,7 +1655,7 @@
   clean_up(1);
   plugin::Registry::shutdown();
   clean_up_mutexes();
-  my_end(0);
+  my_end();
   return 0;
 }
 

=== modified file 'mysys/my_init.cc'
--- mysys/my_init.cc	2009-12-02 05:57:39 +0000
+++ mysys/my_init.cc	2009-12-02 06:01:21 +0000
@@ -80,7 +80,7 @@
 
 	/* End my_sys */
 
-void my_end(int)
+void my_end()
 {
   free_charsets();
   my_error_unregister_all();

=== modified file 'mysys/my_sys.h'
--- mysys/my_sys.h	2009-12-02 05:57:39 +0000
+++ mysys/my_sys.h	2009-12-02 06:01:21 +0000
@@ -296,7 +296,7 @@
 extern void my_message(uint32_t my_err, const char *str,myf MyFlags);
 extern void my_message_no_curses(uint32_t my_err, const char *str,myf MyFlags);
 extern bool my_init(void);
-extern void my_end(int infoflag);
+extern void my_end(void);
 extern int my_redel(const char *from, const char *to, int MyFlags);
 extern int my_copystat(const char *from, const char *to, int MyFlags);
 extern char * my_filename(File fd);

=== modified file 'plugin/archive/archive_performance.cc'
--- plugin/archive/archive_performance.cc	2009-10-13 06:22:10 +0000
+++ plugin/archive/archive_performance.cc	2009-12-02 06:01:21 +0000
@@ -89,7 +89,7 @@
     azclose(&reader_handle);
   }
 
-  my_end(0);
+  my_end();
 
   return 0;
 }

=== modified file 'plugin/archive/archive_reader.cc'
--- plugin/archive/archive_reader.cc	2009-10-13 06:22:10 +0000
+++ plugin/archive/archive_reader.cc	2009-12-02 06:01:21 +0000
@@ -251,7 +251,7 @@
   printf("\n");
   azclose(&reader_handle);
 
-  my_end(0);
+  my_end();
   return 0;
 }
 

=== modified file 'plugin/archive/archive_test.cc'
--- plugin/archive/archive_test.cc	2009-10-06 20:28:53 +0000
+++ plugin/archive/archive_test.cc	2009-12-02 06:01:21 +0000
@@ -97,7 +97,7 @@
     }
   }
 
-  my_end(0);
+  my_end();
 
   return 0;
 }

